<?php

/**
 *--------------------------------------
 * 单页
 *--------------------------------------
 * @project		: uwa
 * @author		: cblee
 * @created		: 2012-10-20
 * @copyright	: (c)2012 AsThis
 *--------------------------------------
 */

class SinglePageCtrlr extends IndexCtrlr
{
	public function show_single_page()
	{
		$singlePageId = intval(ARequest::get('single_page_id'));
		$_SPI = M('SinglePage')->get_singlePageInfo($singlePageId);
		if(empty($_SPI))
		{
			halt();
		}
		$this->assign('_V', $_SPI);

		$this->assign('POSITION', '<a href="'.__APP__.'">'.L('HOME').'</a> &raquo; '.$_SPI['sp_title']);

		$this->display('home/show_single_page');
	}
}


?>